var vMod="";
// JavaScript Document
//function loguear(usuario){
	//var xhttp = new XMLHttpRequest();
	//xhttp.onreadystatechange = function(){
	//	if(this.readysState == 4 && this.status == 200){
	//	}
	//	console.log(xhttp.responseText);
	//}
	//xhttp.open("get","usuario.php",true);
	//xhttp.send();
//}
function licencia(){
	url="nit="+VGnit//document.getElementById("nit").value;
	url+="&codemp="+VGempresa;
	
	console.log(url)

	var Rpage=VGRutaRiz+"controllers/licencias/"
	doAjax(Rpage,url,'resp_licencia','gets','0','Ccargar');

	}

function resp_licencia(ResTex) {
	console.log(ResTex);
	var oJsonDatos = JSON.parse(ResTex);
	if(oJsonDatos.Datos!="ERROR"){
        if(ResTex.length>1){
	    	JsonLicencia=ResTex;
		    var oJsonDatos = JSON.parse(JsonLicencia);
            var NJsonItem=oJsonDatos.Datos.length;
		    if(oJsonDatos.Datos.error=="ERROR404"){
    			flink(404);
	    	}else{
		      localStorage.setItem("NomEmpresa",oJsonDatos.Datos[0].nomempresa);
    		  localStorage.setItem("NomComercial",oJsonDatos.Datos[0].nomcomercial);
	    	  localStorage.setItem("NitEmpresa",oJsonDatos.Datos[0].nit);
		      localStorage.setItem("DirEmpresa",oJsonDatos.Datos[0].dirempresa);
        	  localStorage.setItem("Codempresa",oJsonDatos.Datos[0].fteodb);
		      localStorage.setItem("rol",document.getElementById("rol").value)
		    }
	}else{
	    }
	}else{
		document.getElementById("cNo1").value="Usuario o contraseña invalido";
    }
	
}

        

function loguear() {
    localStorage.clear()
	sessionStorage.clear()
    let form = document.getElementById('formulario');
    var formdata = new FormData(form);
	formdata.append("proyecto",VGproyect);
    let xhr = new XMLHttpRequest();
    xhr.open("POST", form.action);
    xhr.send(formdata);
    xhr.onload = function (e) {
        respuesta=xhr.responseText
        resp_cargarusuarios(respuesta)
    }
}

function resp_cargarusuarios(ResTex) {
	//console.log(ResTex);
	
	var oJsonDatos = JSON.parse(ResTex);
	var NJsonItem=oJsonDatos.length;
	if (NJsonItem>=1){
        localStorage.setItem("NomUsuario",oJsonDatos[0].nombre);
        localStorage.setItem("Usuario",oJsonDatos[0].usuario);
        localStorage.setItem("Ideusuario",oJsonDatos[0].nriper);
		localStorage.setItem("rol",oJsonDatos[0].rol);
        localStorage.setItem("proyecto",VGproyect);
        
        Detalle="<select>"
        //Revisar informacion o vector de empresas
        JsonActividad=oJsonDatos[0].empresas;
        VarStruture = JsonActividad.replace(/(\r\n|\n|\r)/gm," ");
        var urlbosy="(" + VarStruture + ")";
        VarStruture = JSON.stringify(eval(urlbosy))
        localStorage.setItem("jempresas",VarStruture);
		localStorage.setItem("Codempresa",oJsonDatos[0].dftemp);
		VGempresa=oJsonDatos[0].dftemp;
		
		VarStruture = localStorage.getItem("jempresas")
		var oJsonDatose = JSON.parse(VarStruture);
		var NJsonIt=oJsonDatose.Datos.length;
		RowArray=0;
		for (RowArray=0;RowArray<NJsonIt; RowArray++){
			if(oJsonDatose.Datos[RowArray].code.toUpperCase()==localStorage.getItem("Codempresa")){
				localStorage.setItem("rol",oJsonDatose.Datos[RowArray].rol);
				localStorage.setItem("NomEmpresa",oJsonDatose.Datos[RowArray].name);
			}else{}
		}
		console.log(VGproyect)
		
		localStorage.setItem("ruta",VGRutaRiz+"MVC/index.html"+"?codigo="+VGproyect+"&rol="+localStorage.getItem("rol"))
		console.log(localStorage.getItem("ruta"))
		
		//console.log(localStorage.getItem("rol"))
        localStorage.setItem("modulo","")
        init() //revisar si se puede o no requerir
    }else{
        localStorage.clear()
  		document.getElementById("cNo1").value="Usuario o contraseña invalido";
    }
}

function init(){
	location.href=VGRutaRiz+localStorage.getItem("ruta")+"&modulo="+vMod
	return
	url="modulo=ciudad";
	url+="&tipo="+"l";
	url+="&accion="+"i";
	url+="&condicion=";
	url+="&codemp="+VGempresa;
	console.log(url);
	var Rpage =VGRutaRiz+"controllers/registros/";
	console.log(Rpage);
	doAjax(Rpage,url,'resp_init','gets','0','Ccargar');
}
function resp_init(ResTex){
	localStorage.setItem("ciudad",ResTex);
	location.href=VGRutaRiz+"views/mdi/principal.html"+"?codigo="+VGproyect+"&modulo="+vMod
	return
}
